> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Analisar uma imagem de documento

> Converte uma imagem de documento em Markdown ou blocos de conteúdo ordenados. A API Cohere Parse atual aceita URLs de imagens remotas e URIs de dados de imagem em base64; entradas de PDF e URLs de arquivos ainda não são compatíveis.



## OpenAPI

````yaml pt-BR/openapi/v1/openapi.localized.yaml POST /parse
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    Uma API de gateway para acessar diversos modelos de IA por meio de endpoints
    compatíveis com OpenAI.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: Roteamento global
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /parse:
    post:
      tags:
        - Gateway
      summary: Analisar uma imagem de documento
      description: >-
        Converte uma imagem de documento em Markdown ou blocos de conteúdo
        ordenados. A API Cohere Parse atual aceita URLs de imagens remotas e
        URIs de dados de imagem em base64; entradas de PDF e URLs de arquivos
        ainda não são compatíveis.
      operationId: createParse
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ParseRequest'
      responses:
        '200':
          description: Documento analisado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParseResponse'
components:
  schemas:
    ParseRequest:
      type: object
      additionalProperties: false
      required:
        - model
        - document
      properties:
        model:
          type: string
          example: cohere/parse-v5.0
        document:
          type: object
          additionalProperties: false
          required:
            - type
            - image_url
          properties:
            type:
              type: string
              enum:
                - image_url
            image_url:
              type: string
              description: >-
                URL HTTP(S) remota de imagem ou URI de dados de imagem em
                base64. Máximo de 20 MB e 50 megapixels ou 200 MB decodificados.
        output_format:
          type: string
          enum:
            - markdown
            - blocks
          default: markdown
        echo_upstream_request:
          type: boolean
        debug:
          $ref: '#/components/schemas/DebugOptions'
        provider:
          $ref: '#/components/schemas/ProviderRoutingOptions'
        routing:
          $ref: '#/components/schemas/ProviderRoutingOptions'
    ParseResponse:
      type: object
      required:
        - id
        - object
        - model
        - provider
        - pages
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - parse
        model:
          type: string
        provider:
          type: string
        pages:
          type: array
          items:
            $ref: '#/components/schemas/ParsePage'
        meta:
          type: object
          additionalProperties: true
        usage:
          type: object
          additionalProperties: true
    DebugOptions:
      type: object
      description: >-
        Controles de depuração do gateway. Essas opções nunca são encaminhadas
        ao provedor.
      properties:
        enabled:
          type: boolean
        return_upstream_request:
          type: boolean
        return_upstream_response:
          type: boolean
        trace:
          type: boolean
        trace_level:
          type: string
          enum:
            - summary
            - full
    ProviderRoutingOptions:
      type: object
      description: Preferências de roteamento de provedores para seleção pelo gateway.
      properties:
        order:
          type: array
          items:
            type: string
        only:
          type: array
          items:
            type: string
        ignore:
          type: array
          items:
            type: string
        include_alpha:
          type: boolean
          description: Incluir provedores alpha no roteamento (desativado por padrão).
        allow_fallbacks:
          type: boolean
          nullable: true
          description: Permitir fallback para outro provedor elegível após uma falha.
        require_parameters:
          type: boolean
          nullable: true
          description: >-
            Exigir suporte do provedor aos parâmetros solicitados antes do
            roteamento.
        required_execution_region:
          type: string
          nullable: true
          description: >-
            Restringir o roteamento a provedores com a região de execução
            solicitada.
        required_data_region:
          type: string
          nullable: true
          description: >-
            Restringir o roteamento a provedores com a região de dados
            solicitada.
        require_zero_data_retention:
          type: boolean
          nullable: true
          description: >-
            Restringir o roteamento a provedores que oferecem retenção zero de
            dados.
        data_collection:
          type: string
          nullable: true
          enum:
            - allow
            - deny
        zdr:
          type: boolean
          nullable: true
        enforce_distillable_text:
          type: boolean
          nullable: true
        quantizations:
          type: array
          nullable: true
          items:
            type: string
        sort:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
          description: >-
            Classificar os provedores para esta solicitação, por exemplo, por
            preço, latência ou throughput.
        max_price:
          type: object
          properties:
            prompt:
              oneOf:
                - type: number
                - type: string
            completion:
              oneOf:
                - type: number
                - type: string
            image:
              oneOf:
                - type: number
                - type: string
            audio:
              oneOf:
                - type: number
                - type: string
            request:
              oneOf:
                - type: number
                - type: string
        preferred_min_throughput:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
        preferred_max_latency:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
    ParsePage:
      oneOf:
        - type: object
          required:
            - type
            - index
            - markdown
          properties:
            type:
              type: string
              enum:
                - markdown
            index:
              type: integer
              minimum: 0
            markdown:
              type: object
              required:
                - content
              properties:
                content:
                  type: string
                images:
                  type: array
                  items:
                    $ref: '#/components/schemas/ParseImage'
        - type: object
          required:
            - type
            - index
            - blocks
          properties:
            type:
              type: string
              enum:
                - blocks
            index:
              type: integer
              minimum: 0
            blocks:
              type: array
              items:
                $ref: '#/components/schemas/ParseBlock'
    ParseImage:
      type: object
      required:
        - id
        - description
        - category
        - bounding_box
        - bounding_box_normalized
      properties:
        id:
          type: string
        description:
          type: string
        category:
          type: string
          enum:
            - other
            - flowchart
            - logo
            - signature
        bounding_box:
          $ref: '#/components/schemas/ParseBoundingBox'
        bounding_box_normalized:
          $ref: '#/components/schemas/ParseBoundingBox'
    ParseBlock:
      oneOf:
        - type: object
          required:
            - type
            - text
          properties:
            type:
              type: string
              enum:
                - text
            text:
              type: object
              required:
                - content
              properties:
                content:
                  type: string
        - type: object
          required:
            - type
            - image
          properties:
            type:
              type: string
              enum:
                - image
            image:
              $ref: '#/components/schemas/ParseImage'
        - type: object
          required:
            - type
            - table
          properties:
            type:
              type: string
              enum:
                - table
            table:
              type: object
              required:
                - type
                - html
                - bounding_box
                - bounding_box_normalized
              properties:
                type:
                  type: string
                  enum:
                    - html
                html:
                  type: string
                title:
                  type: string
                description:
                  type: string
                bounding_box:
                  $ref: '#/components/schemas/ParseBoundingBox'
                bounding_box_normalized:
                  $ref: '#/components/schemas/ParseBoundingBox'
    ParseBoundingBox:
      type: object
      required:
        - top_left_x
        - top_left_y
        - bottom_right_x
        - bottom_right_y
      properties:
        top_left_x:
          type: number
        top_left_y:
          type: number
        bottom_right_x:
          type: number
        bottom_right_y:
          type: number
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Autenticação com token Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.